## sratom 0.2.0~dfsg0

=== wscript ===
#!/usr/bin/env python
import glob
import os
import shutil
import subprocess
import sys

from waflib.extras import autowaf as autowaf
import waflib.Logs as Logs, waflib.Options as Options

# Version of this package (even if built as a child)
SRATOM_VERSION       = '0.2.0'
SRATOM_MAJOR_VERSION = '0'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Sratom uses the same version number for both library and package
SRATOM_LIB_VERSION = SRATOM_VERSION

# Variables for 'waf dist'
APPNAME = 'sratom'
VERSION = SRATOM_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)
    opt.add_option('--test', action='store_true', default=False, dest='build_tests',
                   help="Build unit tests")
    opt.add_option('--static', action='store_true', default=False, dest='static',
                   help="Build static library")

def configure(conf):
    conf.load('compiler_c')
    conf.line_just = 41
    autowaf.configure(conf)
    autowaf.display_header('Sratom Configuration')

    if conf.env['MSVC_COMPILER']:
        conf.env.append_unique('CFLAGS', ['-TP', '-MD'])
    else:
        conf.env.append_unique('CFLAGS', '-std=c99')

    conf.env['BUILD_TESTS']  = Options.options.build_tests
    conf.env['BUILD_STATIC'] = Options.options.static

    # Check for gcov library (for test coverage)
    if conf.env['BUILD_TESTS']:
        conf.check_cc(lib='gcov',
                      define_name='HAVE_GCOV',
                      mandatory=False)

    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
    autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                      atleast_version='0.14.0', mandatory=True)
    autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
                      atleast_version='0.8.0', mandatory=True)

    autowaf.define(conf, 'SRATOM_VERSION', SRATOM_VERSION)
    conf.write_config_header('sratom_config.h', remove=False)

    autowaf.display_msg(conf, "Unit tests", str(conf.env['BUILD_TESTS']))
    print('')

lib_source = [ 'src/sratom.c' ]

def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/sratom-%s/sratom' % SRATOM_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('sratom/*.h'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'SRATOM', SRATOM_VERSION, SRATOM_MAJOR_VERSION,
                     ['SERD', 'SORD', 'LV2'],
                     {'SRATOM_MAJOR_VERSION' : SRATOM_MAJOR_VERSION})

    libflags = [ '-fvisibility=hidden' ]
    libs     = [ 'm' ]
    defines  = []
    if bld.env['MSVC_COMPILER']:
        libflags = []
        libs     = []
        defines  = ['snprintf=_snprintf']

    # Shared Library
    obj = bld(features        = 'c cshlib',
              export_includes = ['.'],
              source          = lib_source,
              includes        = ['.', './src'],
              lib             = libs,
              name            = 'libsratom',
              target          = 'sratom-%s' % SRATOM_MAJOR_VERSION,
              vnum            = SRATOM_LIB_VERSION,
              install_path    = '${LIBDIR}',
              defines         = defines,
              cflags          = libflags + [ '-DSRATOM_SHARED',
                                             '-DSRATOM_INTERNAL' ])
    autowaf.use_lib(bld, obj, 'SERD SORD LV2')

    # Static library
    if bld.env['BUILD_STATIC']:
        obj = bld(features        = 'c cstlib',
                  export_includes = ['.'],
                  source          = lib_source,
                  includes        = ['.', './src'],
                  lib             = libs,
                  name            = 'libsratom_static',
                  target          = 'sratom-%s' % SRATOM_MAJOR_VERSION,
                  vnum            = SRATOM_LIB_VERSION,
                  install_path    = '${LIBDIR}',
                  defines         = defines,
                  cflags          = ['-DSRATOM_INTERNAL'])
        autowaf.use_lib(bld, obj, 'SERD SORD LV2')

    if bld.env['BUILD_TESTS']:
        test_libs   = libs
        test_cflags = ['']
        if bld.is_defined('HAVE_GCOV'):
            test_libs   += ['gcov']
            test_cflags += ['-fprofile-arcs', '-ftest-coverage']

        # Static library (for unit test code coverage)
        obj = bld(features     = 'c cstlib',
                  source       = lib_source,
                  includes     = ['.', './src'],
                  lib          = test_libs,
                  name         = 'libsratom_profiled',
                  target       = 'sratom_profiled',
                  install_path = '',
                  defines      = defines,
                  cflags       = test_cflags + ['-DSRATOM_INTERNAL'])
        autowaf.use_lib(bld, obj, 'SERD SORD LV2')

        # Unit test program
        obj = bld(features     = 'c cprogram',
                  source       = 'tests/sratom_test.c',
                  includes     = ['.', './src'],
                  use          = 'libsratom_profiled',
                  lib          = test_libs,
                  target       = 'sratom_test',
                  install_path = '',
                  defines      = defines,
                  cflags       = test_cflags)

    # Documentation
    autowaf.build_dox(bld, 'SRATOM', SRATOM_VERSION, top, out)

    bld.add_post_fun(autowaf.run_ldconfig)
    if bld.env['DOCS']:
        bld.add_post_fun(fix_docs)

def test(ctx):
    autowaf.pre_test(ctx, APPNAME)
    os.environ['PATH'] = '.' + os.pathsep + os.getenv('PATH')
    autowaf.run_tests(ctx, APPNAME, ['sratom_test'], dirs=['./src','./tests'])
    autowaf.post_test(ctx, APPNAME)

def lint(ctx):
    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/* sratom/*', shell=True)

def build_dir(ctx, subdir):
    if autowaf.is_child():
        return os.path.join('build', APPNAME, subdir)
    else:
        return os.path.join('build', subdir)

def fix_docs(ctx):
    try:
        top = os.getcwd()
        os.chdir(build_dir(ctx, 'doc/html'))
        os.system("sed -i 's/SRATOM_API //' group__sratom.html")
        os.system("sed -i 's/SRATOM_DEPRECATED //' group__sratom.html")
        os.system("sed -i 's/href=\"doc\/style.css\"/href=\"style.css\"/' group__sratom.html")
        os.remove('index.html')
        os.symlink('group__sratom.html', 'index.html')
        os.chdir(top)
        os.chdir(build_dir(ctx, 'doc/man/man3'))
        os.system("sed -i 's/SRATOM_API //' sratom.3")
        os.chdir(top)
    except:
        Logs.error("Failed to fix up %s documentation" % APPNAME)

def upload_docs(ctx):
    os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/sratom/")

=== debian/changelog ===
sratom (0.2.0~dfsg0-1) unstable; urgency=low

  * Initial release. (Closes: #669343)

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 Apr 2012 10:47:31 +0200

=== debian/control ===
Source: sratom
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 libserd-dev,
 libsord-dev,
 lv2-dev,
 pkg-config,
 python
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 3.9.3
Homepage: http://drobilla.net/software/sratom/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sratom.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sratom.git

Package: libsratom-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsratom-0-0 (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 pkg-config
Suggests:
 libsratom-doc
Description: library for serialising LV2 atoms to/from Turtle - development files
 Sratom is a new C library for serialising LV2 atoms to/from Turtle.
 It is intended to be a full serialisation solution for LV2 atoms,
 allowing implementations to serialise binary atoms to strings and
 read them back again. This is particularly useful for saving plugin
 state, or implementing plugin control with network transparency.
 Sratom uses Serd and Sord to do the work, it is a small library
 implemented in a single source file, suitable for direct inclusion
 in projects if avoiding a dependency is desired.
 .
 This package provides the development files for Sratom.

Package: libsratom-0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: library for serialising LV2 atoms to/from Turtle
 Sratom is a new C library for serialising LV2 atoms to/from Turtle.
 It is intended to be a full serialisation solution for LV2 atoms,
 allowing implementations to serialise binary atoms to strings and
 read them back again. This is particularly useful for saving plugin
 state, or implementing plugin control with network transparency.
 Sratom uses Serd and Sord to do the work, it is a small library
 implemented in a single source file, suitable for direct inclusion
 in projects if avoiding a dependency is desired.

Package: libsratom-doc
Section: doc
Architecture: all
Enhances:
 libsratom-dev
Depends:
 ${misc:Depends}
Description: library for serialising LV2 atoms to/from Turtle - documentation
 Sratom is a new C library for serialising LV2 atoms to/from Turtle.
 It is intended to be a full serialisation solution for LV2 atoms,
 allowing implementations to serialise binary atoms to strings and
 read them back again. This is particularly useful for saving plugin
 state, or implementing plugin control with network transparency.
 Sratom uses Serd and Sord to do the work, it is a small library
 implemented in a single source file, suitable for direct inclusion
 in projects if avoiding a dependency is desired.
 .
 This package provides the developer's reference for sratom.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LDFLAGS+=-Wl,--as-needed
WAF = ./waf

ifeq ($(shell dpkg-query -s doxygen graphviz 1>/dev/null 2>&1 && echo yes),yes)
CONFIGURE_EXTRA_FLAGS += --docs
endif

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--strict \
		--debug \
		$(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build .waf*
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

## sratom 0.4.0~dfsg0

=== wscript ===
#!/usr/bin/env python
import os
import subprocess

from waflib.extras import autowaf as autowaf
import waflib.Options as Options

# Version of this package (even if built as a child)
SRATOM_VERSION       = '0.4.0'
SRATOM_MAJOR_VERSION = '0'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Sratom uses the same version number for both library and package
SRATOM_LIB_VERSION = SRATOM_VERSION

# Variables for 'waf dist'
APPNAME = 'sratom'
VERSION = SRATOM_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)
    opt.add_option('--test', action='store_true', dest='build_tests',
                   help="Build unit tests")
    opt.add_option('--static', action='store_true', dest='static',
                   help="Build static library")
    opt.add_option('--no-shared', action='store_true', dest='no_shared',
                   help='Do not build shared library')

def configure(conf):
    conf.load('compiler_c')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Sratom Configuration')

    conf.env.BUILD_TESTS  = Options.options.build_tests
    conf.env.BUILD_SHARED = not Options.options.no_shared
    conf.env.BUILD_STATIC = Options.options.static

    if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
        conf.fatal('Neither a shared nor a static build requested')

    # Check for gcov library (for test coverage)
    if conf.env.BUILD_TESTS:
        conf.check_cc(lib='gcov',
                      define_name='HAVE_GCOV',
                      mandatory=False)

    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
    autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                      atleast_version='0.14.0', mandatory=True)
    autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
                      atleast_version='0.8.0', mandatory=True)

    autowaf.define(conf, 'SRATOM_VERSION', SRATOM_VERSION)
    conf.write_config_header('sratom_config.h', remove=False)

    autowaf.display_msg(conf, "Unit tests", str(conf.env.BUILD_TESTS))
    print('')

lib_source = [ 'src/sratom.c' ]

def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/sratom-%s/sratom' % SRATOM_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('sratom/*.h'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'SRATOM', SRATOM_VERSION, SRATOM_MAJOR_VERSION,
                     ['SERD', 'SORD', 'LV2'],
                     {'SRATOM_MAJOR_VERSION' : SRATOM_MAJOR_VERSION})

    libflags = ['-fvisibility=hidden']
    libs     = ['m']
    defines  = []
    if bld.env.MSVC_COMPILER:
        libflags = []
        libs     = []
        defines  = ['snprintf=_snprintf']

    # Shared Library
    if bld.env.BUILD_SHARED:
        obj = bld(features        = 'c cshlib',
                  export_includes = ['.'],
                  source          = lib_source,
                  includes        = ['.', './src'],
                  lib             = libs,
                  name            = 'libsratom',
                  target          = 'sratom-%s' % SRATOM_MAJOR_VERSION,
                  vnum            = SRATOM_LIB_VERSION,
                  install_path    = '${LIBDIR}',
                  defines         = defines + ['SRATOM_SHARED', 'SRATOM_INTERNAL'],
                  cflags          = libflags)
        autowaf.use_lib(bld, obj, 'SERD SORD LV2')

    # Static library
    if bld.env.BUILD_STATIC:
        obj = bld(features        = 'c cstlib',
                  export_includes = ['.'],
                  source          = lib_source,
                  includes        = ['.', './src'],
                  lib             = libs,
                  name            = 'libsratom_static',
                  target          = 'sratom-%s' % SRATOM_MAJOR_VERSION,
                  vnum            = SRATOM_LIB_VERSION,
                  install_path    = '${LIBDIR}',
                  defines         = defines + ['SRATOM_INTERNAL'])
        autowaf.use_lib(bld, obj, 'SERD SORD LV2')

    if bld.env.BUILD_TESTS:
        test_libs   = libs
        test_cflags = ['']
        if bld.is_defined('HAVE_GCOV'):
            test_libs   += ['gcov']
            test_cflags += ['-fprofile-arcs', '-ftest-coverage']

        # Static library (for unit test code coverage)
        obj = bld(features     = 'c cstlib',
                  source       = lib_source,
                  includes     = ['.', './src'],
                  lib          = test_libs,
                  name         = 'libsratom_profiled',
                  target       = 'sratom_profiled',
                  install_path = '',
                  defines      = defines + ['SRATOM_INTERNAL'],
                  cflags       = test_cflags)
        autowaf.use_lib(bld, obj, 'SERD SORD LV2')

        # Unit test program
        obj = bld(features     = 'c cprogram',
                  source       = 'tests/sratom_test.c',
                  includes     = ['.', './src'],
                  use          = 'libsratom_profiled',
                  lib          = test_libs,
                  target       = 'sratom_test',
                  install_path = '',
                  defines      = defines,
                  cflags       = test_cflags)

    # Documentation
    autowaf.build_dox(bld, 'SRATOM', SRATOM_VERSION, top, out)

    bld.add_post_fun(autowaf.run_ldconfig)
    if bld.env.DOCS:
        bld.add_post_fun(fix_docs)

def test(ctx):
    autowaf.pre_test(ctx, APPNAME)
    os.environ['PATH'] = '.' + os.pathsep + os.getenv('PATH')
    autowaf.run_tests(ctx, APPNAME, ['sratom_test'], dirs=['./src','./tests'])
    autowaf.post_test(ctx, APPNAME)

def lint(ctx):
    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/* sratom/*', shell=True)

def fix_docs(ctx):
    if ctx.cmd == 'build':
        autowaf.make_simple_dox(APPNAME)

def upload_docs(ctx):
    os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/sratom/")

=== debian/changelog ===
sratom (0.4.0~dfsg0-1) experimental; urgency=low

  * New upstream release.
  * Implement mechanism to automatically repack the upstream tarball.
  * Install NEWS as upstream changelog.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sun, 02 Sep 2012 18:17:28 +0200

## sratom 0.4.2~dfsg0

=== debian/changelog ===
sratom (0.4.2~dfsg0-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 May 2013 08:39:36 +0200

sratom (0.4.2~dfsg0-1) experimental; urgency=low

  * New upstream release.
  * Needs sord >= 0.12.0.
  * Tigthen build-dep on libserd-dev (>= 0.18.0~)
  * Aill -dev's Depends field up properly by adding libsord-dev,
    libserd-dev and lv2-dev.
  * Fix libsratom-doc.install file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 12 Mar 2013 17:18:50 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
  debhelper (>= 9),
- libserd-dev,
- libsord-dev,
+ libserd-dev (>= 0.18.0~),
+ libsord-dev (>= 0.12.0~dfsg0),
  lv2-dev,
  pkg-config,
  python
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://drobilla.net/software/sratom/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sratom.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sratom.git
@@ -24,7 +24,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libserd-dev (>= 0.18.0~),
+ libsord-dev (>= 0.12.0~dfsg0),
  libsratom-0-0 (= ${binary:Version}),
+ lv2-dev,
  ${misc:Depends}
 Recommends:
  pkg-config

## sratom 0.4.4~dfsg0

=== wscript ===
--- 
+++ 
@@ -1,28 +1,21 @@
 #!/usr/bin/env python
 import os
 import subprocess
+import waflib.Options as Options
+import waflib.extras.autowaf as autowaf
 
-from waflib.extras import autowaf as autowaf
-import waflib.Options as Options
-
-# Version of this package (even if built as a child)
-SRATOM_VERSION       = '0.4.0'
-SRATOM_MAJOR_VERSION = '0'
-
-# Library version (UNIX style major, minor, micro)
+# Library and package version (UNIX style major, minor, micro)
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-# Sratom uses the same version number for both library and package
-SRATOM_LIB_VERSION = SRATOM_VERSION
+SRATOM_VERSION       = '0.4.4'
+SRATOM_MAJOR_VERSION = '0'
 
-# Variables for 'waf dist'
-APPNAME = 'sratom'
-VERSION = SRATOM_VERSION
-
-# Mandatory variables
-top = '.'
-out = 'build'
+# Mandatory waf variables
+APPNAME = 'sratom'        # Package name for waf dist
+VERSION = SRATOM_VERSION  # Package version for waf dist
+top     = '.'             # Source directory
+out     = 'build'         # Build directory
 
 def options(opt):
     opt.load('compiler_c')
@@ -53,19 +46,21 @@
                       define_name='HAVE_GCOV',
                       mandatory=False)
 
-    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
+    autowaf.check_pkg(conf, 'lv2', uselib_store='LV2',
+                      atleast_version='1.0.0', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
-                      atleast_version='0.8.0', mandatory=True)
+                      atleast_version='0.12.0', mandatory=True)
 
     autowaf.define(conf, 'SRATOM_VERSION', SRATOM_VERSION)
+    autowaf.set_lib_env(conf, 'sratom', SRATOM_VERSION)
     conf.write_config_header('sratom_config.h', remove=False)
 
     autowaf.display_msg(conf, "Unit tests", str(conf.env.BUILD_TESTS))
     print('')
 
-lib_source = [ 'src/sratom.c' ]
+lib_source = ['src/sratom.c']
 
 def build(bld):
     # C Headers
@@ -94,7 +89,7 @@
                   lib             = libs,
                   name            = 'libsratom',
                   target          = 'sratom-%s' % SRATOM_MAJOR_VERSION,
-                  vnum            = SRATOM_LIB_VERSION,
+                  vnum            = SRATOM_VERSION,
                   install_path    = '${LIBDIR}',
                   defines         = defines + ['SRATOM_SHARED', 'SRATOM_INTERNAL'],
                   cflags          = libflags)
@@ -109,7 +104,7 @@
                   lib             = libs,
                   name            = 'libsratom_static',
                   target          = 'sratom-%s' % SRATOM_MAJOR_VERSION,
-                  vnum            = SRATOM_LIB_VERSION,
+                  vnum            = SRATOM_VERSION,
                   install_path    = '${LIBDIR}',
                   defines         = defines + ['SRATOM_INTERNAL'])
         autowaf.use_lib(bld, obj, 'SERD SORD LV2')

=== debian/changelog ===
sratom (0.4.4~dfsg0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * Imported Upstream version 0.4.4~dfsg0
  * Bump Standards.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Jan 2014 10:15:42 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
  libserd-dev (>= 0.18.0~),
@@ -14,7 +15,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://drobilla.net/software/sratom/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sratom.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sratom.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
+dfsg_version = $(upstream_version)~dfsg0
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LDFLAGS+=-Wl,--as-needed
@@ -31,3 +35,20 @@
 
 override_dh_auto_install:
 	$(WAF) install --destdir=$(CURDIR)/debian/tmp
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
+# get-orig-source to drop waf
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=.
+	tar -xf $(pkg)_$(upstream_version).orig.tar.bz2
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
+	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
+	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
+	rmdir $(pkg)-$(dfsg_version)/.waf-*
+	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
+	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
+	xz -9fz $(pkg)_$(dfsg_version).orig.tar
+	rm -rf $(pkg)-$(dfsg_version)

## sratom 0.4.6~dfsg0

=== debian/changelog ===
sratom (0.4.6~dfsg0-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * New upstream release.
  * Tuned get-orig-source.
  * Remove --debug from configure to cppflags be passed.

  [ Alessio Treglia ]
  * Add symbols control file.

 -- Alessio Treglia <alessio@debian.org>  Wed, 20 Aug 2014 11:30:29 +0100

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 		--mandir=/usr/share/man \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--strict \
-		--debug \
 		$(CONFIGURE_EXTRA_FLAGS)
 
 override_dh_auto_build:
@@ -52,3 +51,5 @@
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
 	xz -9fz $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
+	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
+	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://download.drobilla.net/sratom-(.*)\.tar\.bz2

## sratom 0.6.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/env python
 import os
 import subprocess
+import waflib.Logs as Logs
 import waflib.Options as Options
 import waflib.extras.autowaf as autowaf
 
@@ -8,7 +9,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SRATOM_VERSION       = '0.4.4'
+SRATOM_VERSION       = '0.6.0'
 SRATOM_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -19,9 +20,7 @@
 
 def options(opt):
     opt.load('compiler_c')
-    autowaf.set_options(opt)
-    opt.add_option('--test', action='store_true', dest='build_tests',
-                   help="Build unit tests")
+    autowaf.set_options(opt, test=True)
     opt.add_option('--static', action='store_true', dest='static',
                    help="Build static library")
     opt.add_option('--no-shared', action='store_true', dest='no_shared',
@@ -33,23 +32,16 @@
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Sratom Configuration')
 
-    conf.env.BUILD_TESTS  = Options.options.build_tests
     conf.env.BUILD_SHARED = not Options.options.no_shared
     conf.env.BUILD_STATIC = Options.options.static
 
     if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
         conf.fatal('Neither a shared nor a static build requested')
 
-    # Check for gcov library (for test coverage)
-    if conf.env.BUILD_TESTS:
-        conf.check_cc(lib='gcov',
-                      define_name='HAVE_GCOV',
-                      mandatory=False)
-
     autowaf.check_pkg(conf, 'lv2', uselib_store='LV2',
-                      atleast_version='1.0.0', mandatory=True)
+                      atleast_version='1.10.0', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
-                      atleast_version='0.14.0', mandatory=True)
+                      atleast_version='0.23.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
                       atleast_version='0.12.0', mandatory=True)
 
@@ -57,7 +49,7 @@
     autowaf.set_lib_env(conf, 'sratom', SRATOM_VERSION)
     conf.write_config_header('sratom_config.h', remove=False)
 
-    autowaf.display_msg(conf, "Unit tests", str(conf.env.BUILD_TESTS))
+    autowaf.display_msg(conf, "Unit tests", bool(conf.env.BUILD_TESTS))
     print('')
 
 lib_source = ['src/sratom.c']
@@ -112,9 +104,10 @@
     if bld.env.BUILD_TESTS:
         test_libs   = libs
         test_cflags = ['']
-        if bld.is_defined('HAVE_GCOV'):
-            test_libs   += ['gcov']
-            test_cflags += ['-fprofile-arcs', '-ftest-coverage']
+        test_linkflags  = ['']
+        if not bld.env.NO_COVERAGE:
+            test_cflags    += ['--coverage']
+            test_linkflags += ['--coverage']
 
         # Static library (for unit test code coverage)
         obj = bld(features     = 'c cstlib',
@@ -125,7 +118,8 @@
                   target       = 'sratom_profiled',
                   install_path = '',
                   defines      = defines + ['SRATOM_INTERNAL'],
-                  cflags       = test_cflags)
+                  cflags       = test_cflags,
+                  linkflags    = test_linkflags)
         autowaf.use_lib(bld, obj, 'SERD SORD LV2')
 
         # Unit test program
@@ -137,7 +131,10 @@
                   target       = 'sratom_test',
                   install_path = '',
                   defines      = defines,
-                  cflags       = test_cflags)
+                  cflags       = test_cflags,
+                  linkflags    = test_linkflags)
+
+        autowaf.use_lib(bld, obj, 'SERD SORD LV2')
 
     # Documentation
     autowaf.build_dox(bld, 'SRATOM', SRATOM_VERSION, top, out)
@@ -149,7 +146,8 @@
 def test(ctx):
     autowaf.pre_test(ctx, APPNAME)
     os.environ['PATH'] = '.' + os.pathsep + os.getenv('PATH')
-    autowaf.run_tests(ctx, APPNAME, ['sratom_test'], dirs=['./src','./tests'])
+    Logs.pprint('GREEN', '')
+    autowaf.run_test(ctx, APPNAME, 'sratom_test', dirs=['./src','./tests'])
     autowaf.post_test(ctx, APPNAME)
 
 def lint(ctx):
@@ -161,3 +159,14 @@
 
 def upload_docs(ctx):
     os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/sratom/")
+
+def posts(ctx):
+    path = str(ctx.path.abspath())
+    autowaf.news_to_posts(
+        os.path.join(path, 'NEWS'),
+        {'title'        : 'Sratom',
+         'description'  : autowaf.get_blurb(os.path.join(path, 'README')),
+         'dist_pattern' : 'http://download.drobilla.net/sratom-%s.tar.bz2'},
+        { 'Author' : 'drobilla',
+          'Tags'   : 'Hacking, LAD, LV2, RDF, Sratom' },
+        os.path.join(out, 'posts'))

=== debian/changelog ===
sratom (0.6.0~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.6.0~dfsg0
  * Patch refreshed.
  * Tighten B-D for libserd-dev.
  * Bump Standards.
  * Fix VCS fields.
  * Update symbols file.
  * Fix hardening.
  * Update copyright file.
  * Enable parallel build.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 23 Sep 2016 02:47:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
- libserd-dev (>= 0.18.0~),
+ libserd-dev (>= 0.24.0~),
  libsord-dev (>= 0.12.0~dfsg0),
  lv2-dev,
  pkg-config,
@@ -15,10 +15,10 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://drobilla.net/software/sratom/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/sratom.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/sratom.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sratom.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/sratom.git
 
 Package: libsratom-dev
 Section: libdevel

## sratom 0.6.4

=== debian/changelog ===
sratom (0.6.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #929088)
    + Annotate Build-Depends: python with :native.
    + Pass cross tools to waf.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/:
    - Use python3 to run waf (Closes: #943235)
    - Bump debhelper compat to 12
  * debian/rules: Remove get-orig-source
  * debian/control:
    - Bump Standards-Version
    - Remove obsolete Pre-Depends
    - Set RRR: no
    - Bump build dependencies

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Dec 2019 21:41:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: sratom
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
- libserd-dev (>= 0.24.0~),
- libsord-dev (>= 0.12.0~dfsg0),
- lv2-dev,
+ debhelper-compat (= 12),
+ libserd-dev (>= 0.30),
+ libsord-dev (>= 0.14),
+ lv2-dev (>= 1.16),
  pkg-config,
- python
+ python3:native,
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.8
+Standards-Version: 4.4.1
 Homepage: http://drobilla.net/software/sratom/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sratom.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/sratom.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/sratom.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/sratom
+Rules-Requires-Root: no
 
 Package: libsratom-dev
 Section: libdevel
@@ -49,7 +50,6 @@
 Package: libsratom-0-0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config
LDFLAGS+=-Wl,--as-needed
WAF = python3 ./waf

ifeq ($(shell dpkg-query -s doxygen graphviz 1>/dev/null 2>&1 && echo yes),yes)
CONFIGURE_EXTRA_FLAGS += --docs
endif

%:
	dh $@

override_dh_auto_configure:
	CC=$(CC) PKGCONFIG=$(PKG_CONFIG) \
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--strict \
		$(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build .waf*
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## sratom 0.6.6

=== wscript ===
#!/usr/bin/env python

from waflib import Build, Logs, Options
from waflib.extras import autowaf

# Library and package version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
SRATOM_VERSION       = '0.6.6'
SRATOM_MAJOR_VERSION = '0'

# Mandatory waf variables
APPNAME = 'sratom'        # Package name for waf dist
VERSION = SRATOM_VERSION  # Package version for waf dist
top     = '.'             # Source directory
out     = 'build'         # Build directory

# Release variables
uri          = 'http://drobilla.net/sw/sratom'
dist_pattern = 'http://download.drobilla.net/sratom-%d.%d.%d.tar.bz2'
post_tags    = ['Hacking', 'LAD', 'LV2', 'RDF', 'Sratom']


def options(ctx):
    ctx.load('compiler_c')
    ctx.add_flags(
        ctx.configuration_options(),
        {'static':    'build static library',
         'no-shared': 'do not build shared library'})


def configure(conf):
    conf.load('compiler_c', cache=True)
    conf.load('autowaf', cache=True)
    autowaf.set_c_lang(conf, 'c99')

    conf.env.BUILD_SHARED = not Options.options.no_shared
    conf.env.BUILD_STATIC = Options.options.static

    if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
        conf.fatal('Neither a shared nor a static build requested')

    if Options.options.strict:
        # Check for programs used by lint target
        conf.find_program("flake8", var="FLAKE8", mandatory=False)
        conf.find_program("clang-tidy", var="CLANG_TIDY", mandatory=False)
        conf.find_program("iwyu_tool", var="IWYU_TOOL", mandatory=False)

    if Options.options.ultra_strict:
        autowaf.add_compiler_flags(conf.env, 'c', {
            'gcc': [
                '-Wno-cast-align',
                '-Wno-cast-qual',
                '-Wno-conversion',
                '-Wno-padded',
                '-Wno-suggest-attribute=pure',
            ],
            'clang': [
                '-Wno-cast-align',
                '-Wno-cast-qual',
                '-Wno-double-promotion',
                '-Wno-float-conversion',
                '-Wno-implicit-float-conversion',
                '-Wno-implicit-int-conversion',
                '-Wno-padded',
                '-Wno-shorten-64-to-32',
                '-Wno-sign-conversion',
            ],
            'msvc': [
                '/wd4242'  # conversion with possible loss of data
            ]
        })

    conf.check_pkg('lv2 >= 1.16.0', uselib_store='LV2')
    conf.check_pkg('serd-0 >= 0.30.0', uselib_store='SERD')
    conf.check_pkg('sord-0 >= 0.14.0', uselib_store='SORD')

    autowaf.set_lib_env(conf, 'sratom', SRATOM_VERSION)
    conf.write_config_header('sratom_config.h', remove=False)

    autowaf.display_summary(conf, {'Unit tests': bool(conf.env.BUILD_TESTS)})


lib_source = ['src/sratom.c']


def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/sratom-%s/sratom' % SRATOM_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('sratom/*.h'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'SRATOM', SRATOM_VERSION, SRATOM_MAJOR_VERSION, [],
                     {'SRATOM_MAJOR_VERSION': SRATOM_MAJOR_VERSION,
                      'SRATOM_PKG_DEPS': 'lv2 serd-0 sord-0'})

    libflags = ['-fvisibility=hidden']
    libs     = ['m']
    defines  = []
    if bld.env.MSVC_COMPILER:
        libflags = []
        libs     = []
        defines  = []

    # Shared Library
    if bld.env.BUILD_SHARED:
        bld(features        = 'c cshlib',
            export_includes = ['.'],
            source          = lib_source,
            includes        = ['.', './src'],
            lib             = libs,
            uselib          = 'SERD SORD LV2',
            name            = 'libsratom',
            target          = 'sratom-%s' % SRATOM_MAJOR_VERSION,
            vnum            = SRATOM_VERSION,
            install_path    = '${LIBDIR}',
            defines         = defines + ['SRATOM_SHARED', 'SRATOM_INTERNAL'],
            cflags          = libflags)

    # Static library
    if bld.env.BUILD_STATIC:
        bld(features        = 'c cstlib',
            export_includes = ['.'],
            source          = lib_source,
            includes        = ['.', './src'],
            lib             = libs,
            uselib          = 'SERD SORD LV2',
            name            = 'libsratom_static',
            target          = 'sratom-%s' % SRATOM_MAJOR_VERSION,
            vnum            = SRATOM_VERSION,
            install_path    = '${LIBDIR}',
            defines         = defines + ['SRATOM_INTERNAL'])

    if bld.env.BUILD_TESTS:
        test_libs   = libs
        test_cflags = ['']
        test_linkflags  = ['']
        if not bld.env.NO_COVERAGE:
            test_cflags    += ['--coverage']
            test_linkflags += ['--coverage']

        # Static library (for unit test code coverage)
        bld(features     = 'c cstlib',
            source       = lib_source,
            includes     = ['.', './src'],
            lib          = test_libs,
            uselib       = 'SERD SORD LV2',
            name         = 'libsratom_profiled',
            target       = 'sratom_profiled',
            install_path = '',
            defines      = defines + ['SRATOM_INTERNAL'],
            cflags       = test_cflags,
            linkflags    = test_linkflags)

        # Unit test program
        bld(features     = 'c cprogram',
            source       = 'tests/sratom_test.c',
            includes     = ['.', './src'],
            use          = 'libsratom_profiled',
            lib          = test_libs,
            uselib       = 'SERD SORD LV2',
            target       = 'sratom_test',
            install_path = '',
            defines      = defines,
            cflags       = test_cflags,
            linkflags    = test_linkflags)

    # Documentation
    autowaf.build_dox(bld, 'SRATOM', SRATOM_VERSION, top, out)

    bld.add_post_fun(autowaf.run_ldconfig)


def test(tst):
    import sys

    if sys.platform == 'win32' and '/DNDEBUG' not in tst.env.CFLAGS:
        # FIXME: Sort out DLL memory freeing situation in next major version
        Logs.warn("Skipping tests for Windows debug build")
        return

    with tst.group('Integration') as check:
        check(['./sratom_test'])


class LintContext(Build.BuildContext):
    fun = cmd = 'lint'


def lint(ctx):
    "checks code for style issues"
    import glob
    import os
    import subprocess
    import sys

    st = 0

    if "FLAKE8" in ctx.env:
        Logs.info("Running flake8")
        st = subprocess.call([ctx.env.FLAKE8[0],
                              "wscript",
                              "--ignore",
                              "E101,E129,W191,E221,W504,E251,E241,E741"])
    else:
        Logs.warn("Not running flake8")

    if "IWYU_TOOL" in ctx.env:
        Logs.info("Running include-what-you-use")
        cmd = [ctx.env.IWYU_TOOL[0], "-o", "clang", "-p", "build"]
        output = subprocess.check_output(cmd).decode('utf-8')
        if 'error: ' in output:
            sys.stdout.write(output)
            st += 1
    else:
        Logs.warn("Not running include-what-you-use")

    if "CLANG_TIDY" in ctx.env and "clang" in ctx.env.CC[0]:
        Logs.info("Running clang-tidy")
        sources = glob.glob('src/*.c') + glob.glob('tests/*.c')
        sources = list(map(os.path.abspath, sources))
        procs = []
        for source in sources:
            cmd = [ctx.env.CLANG_TIDY[0], "--quiet", "-p=.", source]
            procs += [subprocess.Popen(cmd, cwd="build")]

        for proc in procs:
            stdout, stderr = proc.communicate()
            st += proc.returncode
    else:
        Logs.warn("Not running clang-tidy")

    if st != 0:
        sys.exit(st)

=== debian/changelog ===
sratom (0.6.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Dennis Braun ]
  * New upstream version 0.6.6
  * Add d/upstream/signing-key.asc
  * Add d/upstream/metadata
  * Add Build-Depends-Package to symbols file
  * Add me as uploader
  * Bump dh-compat to 13
  * Bump S-V to 4.5.0
  * Update d/copyright year
  * d/copyright: http > https
  * Update ldconfig patch
  * Make build reproducible. Thanks to Chris Lamb! (Closes: #966531)

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 08 Oct 2020 15:15:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libserd-dev (>= 0.30),
  libsord-dev (>= 0.14),
  lv2-dev (>= 1.16),
@@ -15,8 +16,8 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.4.1
-Homepage: http://drobilla.net/software/sratom/
+Standards-Version: 4.5.0
+Homepage: https://drobilla.net/software/sratom/
 Vcs-Git: https://salsa.debian.org/multimedia-team/sratom.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sratom
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
https://download.drobilla.net/sratom-(.*)\.tar\.bz2
